Skip to content
GET /unified/conversational-intelligence/scorecard-templates

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Scorecard templates

idstring
required·

The unique identifier for the scorecard template

1 supported
Gong
supported
created_atstring · date-time

Creation time of the scorecard template

1 supported
Gong
supported
created_byobject

User who last updated the scorecard template in the source system.

1 supported
Gong
supported
2 properties
idstring

The unique identifier for a user

namestring

The name of the user

enabledboolean

Whether the scorecard template is enabled in the source system

1 supported
Gong
supported
fieldsobject[]

The scorecard fields

1 supported
Gong
supported
16 properties
columnsobject[]

The field's columns. If present, the field's type is matrix

4 properties
descriptionstring

The column's description

labelstring

The column's label

optionsobject[]

The field's options

3 properties
descriptionstring

The option's description

labelstring

The option's label

valuestring

The option's value

valuestring

The column's value

descriptionstring

The field's description

field_groupobject

The field's group identifier. If present, the field is part of a group.

3 properties
idstring

The field groups's identifier

labelstring

The field groups's label

namestring

The field groups's name

formatstring

The format of the field.

Possible values:
urlemailpassword
idstring

The field's unique identifier

is_overallboolean

Whether this field is the overall summary question

is_requiredboolean

Whether the field is required

labelstring

The field's label

namestring

The field's name. This is the name of the property in the entity.

optionsobject[]

The field's options

3 properties
descriptionstring

The option's description

labelstring

The option's label

valuestring

The option's value

placeholderstring

The field's placeholder

positionnumber

The index position of field in the scorecard template.

rangeobject

The range applicable for field types number, rating, scale.

4 properties
maxnumber

The maximum range for the field.

max_labelnumber

The label for the maximum range of the field.

minnumber

The minimum range for the field.

min_labelnumber

The label for the minimum range of the field.

rowsobject[]

The field's rows. If present, the field's type is matrix

3 properties
descriptionstring

The row's description

labelstring

The row's label

valuestring

The row's value

typestring

The field's type. If no clear mapping exists, then raw value is returned.

Possible values:
statementstringtextrich_textnumberbooleandatedatetimetimeenumarrayfile+ 5 more
validationstring

The validation string for the field.

namestring

Name of the scorecard template

1 supported
Gong
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

review_methodstring

Default review method for the template. Can be manual, automatic, or both.

typestring

The type of the scorecard template in the source system

1 supported
Gong
supported
updated_atstring · date-time

Last updated time of the scorecard template

1 supported
Gong
supported
workspaceobject

The workspace to which the scorecard template belongs.

1 supported
Gong
supported
2 properties
idstring

The unique identifier of the workspace.

namestring

The name of the workspace.

truto unified conversational-intelligence scorecardtemplates \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'conversational-intelligence',
  'scorecardtemplates',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "conversational-intelligence",
        "scorecardtemplates",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/conversational-intelligence/scorecard-templates?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/conversational-intelligence/scorecard-templates?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/conversational-intelligence/scorecard-templates"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())